
/*"$Id: rftp.h,v 1.5 1997/07/03 00:27:22 kline Exp kline $";*/
#define B_ECHO "/bin/echo"                        /* CONFIGURE THIS */
#define CHMOD "/bin/chmod"                        /* CONFIGURE THIS */
#define MAILER "mail"                             /* CONFIGURE THIS */
#define MKDIR "/bin/mkdir"                        /* CONFIGURE THIS */
#define SPOOL_MAIL  "/var/mail/"                  /* CONFIGURE THIS */
#define UUCAT "/usr/local/bin/uucat"          /* CONFIGURE THIS */
#define UUDECODE "/usr/local/bin/uudecode"              /* CONFIGURE THIS */
#define NOTIFY "$USER" /* CONFIGURE THIS: who to notify; usually $USER  */


#define B_CONNECTING_STRING "<<< Connecting to "
#define B_LAST_STRING  " of "
#define B_PART_STRING " Part "
#define B_RETR_STRING "> get "
#define B_SUBJECT_RESULTS_STRING "Subject: BITFTP Reply"
#define CONNECTING_STRING "Connecting to "
#define DAY 86400
#define DO_EXIT (1)
#define DO_NOT_EXIT (0)
#define ENOANON "<<< 530 User anonymous unknown" 
#define ENOFILE "<<< 550"
#define FALSE 0
#define F_FAILURE "Failure on RETR command"
#define F_MODE 0777
#define HALF_HOUR 1800
#define HOME "HOME"
#define HOUR 3600
#define H_FTPMAIL "ftpmail" /* file received from ftpmail is named `ftpmail' */
#define H_FTPTMP "ftptmp"
#define LAST_STRING  ", last"
#define LBUF 512
#define LOGNAME "LOGNAME"
#define MAX_NAMELEN 64
#define MINUTE 60
#define MV "/bin/mv"
#define NO_ERRORS 0
#define PART_STRING " part "
#define PATHLEN 256
#define PREFIX "_p."
#define QUARTER_HOUR 900
#define RETR_STRING "---> RETR "
#define RM "/bin/rm -f"
#define SUBJECT_RESULTS_STRING "Subject: results of ftpmail request"
#define SUBJECT_STRING "Subject:"
#define SUBPART_STRING "Subject: part "
#define SUCCESSFUL_TRANSFER "<<< 226 Transfer complete."
#define SVRX 1
#define SYSTEM_EXIT_OKAY (0) /* we want a *clean* zero return */
#define TRUE 1
#define USER "USER"
#ifdef SIGTSTP
#include <sys/file.h>
#include <sys/ioctl.h>
#endif

char *version_string;
FILE *mfp;
char *home, ftptmp[PATHLEN], ftp_received[PATHLEN], spooldir[64], *user;
char *ret_endpath(), *left(), *right();
extern int errno;
static char *month_string[] = {
 "Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"};
static char *day_string[] = { 
 "Sun","Mon","Tue","Wed","Thu","Fri","Sat"};
typedef enum {false, true} boolean;



#define clear(s) {register unsigned short __;for(__=0;__<sizeof(s);__++)s[__]='\0';}

/*
 * function prototypes
 */

static char *return_ftphost(void);
static char * complete_file(char *);
void mail_msg(char *, char *, int);
void start_action (void);
void version (void);
boolean ftp_file_reconstruct(void);
boolean has_from_line(void);
boolean subject_results(void);
static char * return_filename(void);
static int get_bitftp_last_part(char *, char *);
static int get_one_to_last(int, char *, char *);
/*** static int get_partnumber(char *); ***/
static int get_ftpmail_part (char *);
boolean is_from_line(char *);
boolean is_date(char *);
void outfile(int, FILE *);
static int  get_bftp_partnumber(char *);
static int get_last_part(char *, char *);
void get_environment(void) ;
void create_temp_ftp_dir(void);
static int f_get_one_to_last(int, char *, char *);
void usage(char *);
boolean success_indicated(void);

/*
 * FILE_NAME strings
 */


#define _F_CHECKBIN "From rftp:  fuction checkbins()"
#define _F_COMPLETE "From rtfp:  function  complete_file()"
#define _F_FTP_FILE "From rtfp:  function  ftp_file_reconstruct()"
#define _F_HAS_FROM "From rtfp:  function  has_from_line()"
#define _F_SUCCESS "From rtfp:  function  success_indicated()"
#define _F_SUBJECT "From rtfp:  function  subject_results()"
#define _F_START   "From rtfp:  function  start_action()"
#define _F_RETURN_FILE "From rtfp:  function  return_filename()"
#define _F_BGET_LAST "From rtfp:  function  b_get_last_part()"
#define _F_GET_ONE "From rtfp:  function  get_one_to_last()"
#define _F_OUTFILE "From rtfp:  function  outfile()"
#define _F_GET_LAST "From rtfp:  function  f_get_last_part()"
#define _F_GET_ENV "From rtfp:  function  get_environment()"
#define _F_CREATE  "From rtfp:  function  create_temp_ftp_dir()"
#define _F_F_GET_ONE "From rtfp:  function  f_get_one_to_last()"

